Manual hardware configuration
Public interface » ID macros

Handle manually configured hardware (in /var/lib/hardware/). More...

## Data Structures

struct | hd_manual_s
| Manually configured hardware information. More...

## Typedefs

typedef struct hd_manual_s | hd_manual_t
| Manually configured hardware information.
hd_manual_t * | hd_manual_read_entry (hd_data_t *hd_data, const char *id)
| Manually configured devices implemented in manual.c.
int | hd_manual_write_entry (hd_data_t *hd_data, hd_manual_t *entry)
hd_manual_t * | hd_free_manual (hd_manual_t *manual)
hd_t * | hd_read_config (hd_data_t *hd_data, const char *id)
int | hd_write_config (hd_data_t *hd_data, hd_t *hd)
char * | hd_hw_item_name (hd_hw_item_t item)
hd_hw_item_t | hd_hw_item_type (char *name)
char * | hd_status_value_name (hd_status_value_t status)

## Detailed Description

Handle manually configured hardware (in /var/lib/hardware/).

## Typedef Documentation

## hd_manual_t

typedef struct hd_manual_s hd_manual_t

Manually configured hardware information.

## Function Documentation

## hd_free_manual()

hd_manual_t * hd_free_manual | ( | hd_manual_t * | manual | ) |

## hd_hw_item_name()

char * hd_hw_item_name | ( | hd_hw_item_t | item | ) |

References hw_items, and key2value().

Referenced by create_model_name(), hd_dump_entry(), and hddb_dump_skey().

## hd_hw_item_type()

hd_hw_item_t hd_hw_item_type | ( | char * | name | ) |

References hw_items, hw_none, and value2key().

Referenced by add_entry().

## hd_manual_read_entry()

hd_manual_t * hd_manual_read_entry | ( | hd_data_t * | hd_data,
|  | const char * | id )

Manually configured devices implemented in manual.c.

References hd_data.

## hd_manual_write_entry()

int hd_manual_write_entry | ( | hd_data_t * | hd_data,
|  | hd_manual_t * | entry )

References hd_data.

## hd_read_config()

hd_t * hd_read_config | ( | hd_data_t * | hd_data,
|  | const char * | id )

References s_hd_t::tag_s::freeit, hd_data, hddb_init(), s_hd_t::idx, s_hd_t::line, s_hd_t::module, new_mem(), s_hd_t::persistent_prop, prop2hd(), read_properties(), and s_hd_t::tag.

Referenced by hd_change_config_status(), and hd_scan_manual().

## hd_status_value_name()

char * hd_status_value_name | ( | hd_status_value_t | status | ) |

References key2value(), and status_names.

Referenced by hd_dump_entry().

## hd_write_config()

int hd_write_config | ( | hd_data_t * | hd_data,
|  | hd_t * | hd )

References hd2prop(), hd_data, hd_report_this(), hd_write_properties(), s_hd_t::persistent_prop, s_hd_t::udi, and s_hd_t::unique_id.

Referenced by hd_change_config_status().